SLATTACH(8)

NAME
slattach, slip - attach serial lines as network interfaces

SYNOPSIS
slattach [-t ldisc] [-hHlm] [-s baudrate] ttyname

DESCRIPTION
slattach is used to assign a tty line to a network interface, and to define the network source and destination addresses. The following operands are supported by:

-h  Turn on RTS/CTS flow control. By default, no flow control is done.

-H  Turn on DTR/CTS flow control. By default, no flow control is done.

-l  Turn on the CLOCAL flag, making it possible to run SLIP on a cable without modem control signals (e.g. DTR, DSR, DCD).

-m  Maintain modem control signals after closing the line. Specifically, this disables HUPCL.

-s baudrate
    Specifies the speed of the connection. If not specified, the default of 9600 is used.

-t ldisc
    Specifies the line discipline to use for the tty. Supported line disciplines are “slip” (creates a sl(4) instance) and “strip” (creates a strip(4) instance). If this option is not specified, the default is “slip”.

ttyname
    Specifies the name of the tty device. Ttyname should be a string of the form ‘ttyXX’, or ‘/dev/ttyXX’.

In addition, the following flags to ifconfig(8) control various properties of a SLIP link:

link0
    Turn on Van Jacobsen header compression.

-link0
    Turn off header compression.

link1
    Don't pass through ICMP packets.

-link1
    Do pass through ICMP packets.

link2
    If a packet with a compressed header is received, automatically enable compression of outgoing packets.

-link2
    Don't auto-enable compression.

Only the super-user may attach a network interface.

To detach the interface, use “ifconfig interface-name down” after killing off the slattach process. Interface-name is the name that is shown by netstat(1).

EXAMPLES
    slattach ttyh8
    slattach -s 4800 /dev/tty01

DIAGNOSTICS
Messages indicating the specified interface does not exit, the requested address is unknown, the user is not privileged and tried to alter an interface's configuration.

SEE ALSO
netstat(1), netintro(4), sl(4), strip(4), ifconfig(8), rc(8)

HISTORY
The slattach command appeared in 4.3BSD.